require 'thor'

module LintCI
  module Rubocop
    class CLI < Thor
      desc 'lint [FILES]', 'Runs linter'
      method_option :config, banner: 'CONFIG_FILE'

      def lint(*files)
        ::RuboCop::CLI.new.run(flags + files)
      end

    private

      def flags
        [
          '--format', 'LintCI::Rubocop::Formatter',
          '--no-color'
        ].tap do |flags|
          flags.concat(['--config', options[:config]]) if options[:config]
        end
      end
    end
  end
end
